You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@wicket.apache.org by da...@apache.org on 2015/07/10 10:40:42 UTC

[1/5] wicket git commit: Added CHANGELOG for release 7.0.0

Repository: wicket
Updated Branches:
  refs/heads/master 9918ff5eb -> 6f66349a8


Added CHANGELOG for release 7.0.0


Project: http://git-wip-us.apache.org/repos/asf/wicket/repo
Commit: http://git-wip-us.apache.org/repos/asf/wicket/commit/d93cb8fe
Tree: http://git-wip-us.apache.org/repos/asf/wicket/tree/d93cb8fe
Diff: http://git-wip-us.apache.org/repos/asf/wicket/diff/d93cb8fe

Branch: refs/heads/master
Commit: d93cb8fe7da2c3f3d7b74c67ee4b14ac123abbdc
Parents: 9918ff5
Author: Martijn Dashorst <da...@apache.org>
Authored: Fri Jul 10 00:17:52 2015 +0200
Committer: Martijn Dashorst <da...@apache.org>
Committed: Fri Jul 10 00:17:52 2015 +0200

----------------------------------------------------------------------
 CHANGELOG-7.x | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/wicket/blob/d93cb8fe/CHANGELOG-7.x
----------------------------------------------------------------------
diff --git a/CHANGELOG-7.x b/CHANGELOG-7.x
index af4d3a4..b0f3839 100644
--- a/CHANGELOG-7.x
+++ b/CHANGELOG-7.x
@@ -2,6 +2,34 @@ This file contains all changes done in releases for Apache Wicket 7.x.
 
 =======================================================================
 
+Release Notes - Wicket - Version 7.0.0
+
+** Bug
+
+    * [WICKET-5909] - Session style is not taken into account when loading mounted resources.
+    * [WICKET-5924] - FileUploadField does not work with Servlet 3.0 multipart config
+    * [WICKET-5927] - Velocity remote code execution
+    * [WICKET-5939] - AjaxEventBehavior should not lower-case the event name
+    * [WICKET-5942] - TestCase failure after cfa36fbea621
+    * [WICKET-5944] - CSRF prevention does not work with https URLs on the default port
+    * [WICKET-5946] - JavaScript/Css PackageResource should use the same charset for compressing
+
+** Improvement
+
+    * [WICKET-5922] - IoC: Optionally use objensis for proxy creation to inject concrete classes without default ctor
+    * [WICKET-5926] - Arquillian Support with Container ServletContext in BaseWicketTester/WicketTester.
+    * [WICKET-5928] - Move WicketTestCase from tests to main so that it is reusable by other Wicket modules and applications.
+    * [WICKET-5929] - Introduce IPartialPageRequestHandler
+    * [WICKET-5930] - Upgrade Atmosphere to 2.2.7
+    * [WICKET-5931] - Improve generics for ListView: don't use wildcard for T
+    * [WICKET-5932] - Allow empty column list for DataTable
+    * [WICKET-5933] - Avoid serialization of untouched page after ajax request
+    * [WICKET-5935] - IoC Guice: cache proxies and fail on creation when binding is missing
+    * [WICKET-5936] - simplify cdata escaping for ajax-response
+    * [WICKET-5945] - add a new topic/listener that notifies of Ajax calls done
+
+=======================================================================
+
 Release Notes - Wicket - Version 7.0.0-M6
 
 ** Bug


[3/5] wicket git commit: Also clean up staging area before building release

Posted by da...@apache.org.
Also clean up staging area before building release


Project: http://git-wip-us.apache.org/repos/asf/wicket/repo
Commit: http://git-wip-us.apache.org/repos/asf/wicket/commit/7e607ffa
Tree: http://git-wip-us.apache.org/repos/asf/wicket/tree/7e607ffa
Diff: http://git-wip-us.apache.org/repos/asf/wicket/diff/7e607ffa

Branch: refs/heads/master
Commit: 7e607ffa25a06196298ac6f9fc804a916a9fb20a
Parents: d937d36
Author: Martijn Dashorst <da...@apache.org>
Authored: Fri Jul 10 09:18:00 2015 +0200
Committer: Martijn Dashorst <da...@apache.org>
Committed: Fri Jul 10 09:18:00 2015 +0200

----------------------------------------------------------------------
 release-dashorst.sh | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/wicket/blob/7e607ffa/release-dashorst.sh
----------------------------------------------------------------------
diff --git a/release-dashorst.sh b/release-dashorst.sh
index 4a1c85c..3bee295 100755
--- a/release-dashorst.sh
+++ b/release-dashorst.sh
@@ -423,14 +423,20 @@ echo "Ensuring we are starting from wicket-$major_version.x"
 git checkout $GIT_BRANCH
 
 echo "Removing previous release tag $tag (if exists)"
-oldtag=`git tag -l |grep -e "$tag"|wc -l`
-[ "$oldtag" -ne 0 ] && git tag -d $tag
+oldtag=`git tag -l |grep -e "$tag"|wc -l` >> release.out
+[ "$oldtag" -ne 0 ] && git tag -d $tag >> release.out
 
 echo "Removing previous build branch $branch (if exists)"
-oldbranch=`git branch |grep -e "$branch"|wc -l`
-[ "$oldbranch" -ne 0 ] && git branch -D $branch
+oldbranch=`git branch |grep -e "$branch"|wc -l` >> release.out
+[ "$oldbranch" -ne 0 ] && git branch -D $branch >> release.out
 
-git checkout -b $branch
+echo "Removing previous staging branch (if exists)"
+git push staging --delete refs/heads/$branch >> release.out
+git push staging --delete $tag >> release.out
+
+
+echo "Creating release branch"
+git checkout -b $branch >> release.out
 
 # Clear the current NOTICE.txt file
 echo "Creating notice file."


[2/5] wicket git commit: Better escaping of long string

Posted by da...@apache.org.
Better escaping of long string


Project: http://git-wip-us.apache.org/repos/asf/wicket/repo
Commit: http://git-wip-us.apache.org/repos/asf/wicket/commit/d937d366
Tree: http://git-wip-us.apache.org/repos/asf/wicket/tree/d937d366
Diff: http://git-wip-us.apache.org/repos/asf/wicket/diff/d937d366

Branch: refs/heads/master
Commit: d937d366bf5aaa7a744f4da6b4f38c30c6ceceec
Parents: d93cb8f
Author: Martijn Dashorst <da...@apache.org>
Authored: Fri Jul 10 09:12:04 2015 +0200
Committer: Martijn Dashorst <da...@apache.org>
Committed: Fri Jul 10 09:12:54 2015 +0200

----------------------------------------------------------------------
 release-dashorst.sh | 72 +++++++++++++++++++++++++-----------------------
 1 file changed, 38 insertions(+), 34 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/wicket/blob/d937d366/release-dashorst.sh
----------------------------------------------------------------------
diff --git a/release-dashorst.sh b/release-dashorst.sh
index dfe1680..4a1c85c 100755
--- a/release-dashorst.sh
+++ b/release-dashorst.sh
@@ -14,8 +14,8 @@
 #  See the License for the specific language governing permissions and
 #  limitations under the License.
 
-# set -e
-# set -x
+set -e
+set -x
 
 function fail {
     >&2 echo "\033[31m
@@ -45,10 +45,10 @@ function getJdkToolchain {
 }
 
 function generate_promotion_script {
-
-echo "Generating release promotion script 'promote-$version.sh'"
-echo "#!/bin/sh
-echo -n \"Promoting release $version
+    echo "Generating release promotion script 'promote-$version.sh'"
+read -d '' script <<- EOF
+#!/bin/sh
+echo -n "Promoting release $version
 
 Actions about to be performed:
 ------------------------------
@@ -56,7 +56,7 @@ Actions about to be performed:
 $(cat $0 | tail -n +14)
 
 ------------------------------------------
-Press enter to continue or CTRL-C to abort\"
+Press enter to continue or CTRL-C to abort"
 
 read
 
@@ -70,34 +70,37 @@ git push origin $tag
 
 # promote the source distribution by moving it from the staging area to the release area
 
-svn mv https://dist.apache.org/repos/dist/dev/wicket/$version https://dist.apache.org/repos/dist/release/wicket -m \"Upload release to the mirrors\"
+svn mv https://dist.apache.org/repos/dist/dev/wicket/$version https://dist.apache.org/repos/dist/release/wicket -m "Upload release to the mirrors"
 
-mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-release -DstagingRepositoryId=$stagingrepoid -DnexusUrl=https://repository.apache.org -DserverId=apache.releases.https -Ddescription=\"Release vote has passed\"
+mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-release -DstagingRepositoryId=$stagingrepoid -DnexusUrl=https://repository.apache.org -DserverId=apache.releases.https -Ddescription="Release vote has passed"
 
 # Renumber the next development iteration $next_version:
 
 git checkout $GIT_BRANCH
 mvn release:update-versions --batch-mode
-find . ! \\( -type d -name \"target\" -prune \\) -name pom.xml -exec sed -i \"\" -E \"s/$mvn_version_to_replace/$next_version/g\" {} \\;
-find . ! \\( -type d -name \"target\" -prune \\) -name pom.xml -exec sed -i \"\" -E \"s/$mvn_version_to_replace/$next_version/g\" {} \\;
-git add \`find . ! \\( -type d -name \"target\" -prune \\) -name pom.xml\`
-git commit -m \"Start next development version\"
+find . ! \( -type d -name "target" -prune \) -name pom.xml -exec sed -i "" -E "s/$mvn_version_to_replace/$next_version/g" {} \;
+find . ! \( -type d -name "target" -prune \) -name pom.xml -exec sed -i "" -E "s/$mvn_version_to_replace/$next_version/g" {} \;
+git add `find . ! \( -type d -name "target" -prune \) -name pom.xml`
+git commit -m "Start next development version"
 git push
 
-echo \"Remove the previous version of Wicket using this command:
+echo "Remove the previous version of Wicket using this command:
+
+  svn rm https://dist.apache.org/repos/dist/release/wicket/$previous_version -m \"Remove previous version from mirrors\"
+
+"  
+EOF
 
-  svn rm https://dist.apache.org/repos/dist/release/wicket/$previous_version -m \\\"Remove previous version from mirrors\\\"
-  
-" > promote-$version.sh
-chmod +x promote-$version.sh
-git add promote-$version.sh
+echo "$script" > promote-$version.sh
+    chmod +x promote-$version.sh
+    git add promote-$version.sh
 }
 
 function generate_rollback_script {
-
-echo "Generating release rollback script 'revert-$version.sh'"
-echo "#!/bin/sh
-echo -n\"Reverting release $version
+	echo "Generating release rollback script 'revert-$version.sh'"
+read -d '' script <<- EOF
+#!/bin/sh
+echo -n "Reverting release $version
 
 Actions about to be performed:
 ------------------------------
@@ -105,7 +108,7 @@ Actions about to be performed:
 $(cat $0 | tail -n +14)
 
 ------------------------------------------
-Press enter to continue or CTRL-C to abort\"
+Press enter to continue or CTRL-C to abort"
 
 read
 
@@ -119,19 +122,20 @@ git push staging --delete refs/heads/$branch
 git push staging --delete $tag
 
 # clean up staging dist area
-svn rm https://dist.apache.org/repos/dist/dev/wicket/$version -m \"Release vote has failed\"
+svn rm https://dist.apache.org/repos/dist/dev/wicket/$version -m "Release vote has failed"
 
 # clean up staging maven repository
-mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-drop -DstagingRepositoryId=$stagingrepoid -DnexusUrl=https://repository.apache.org -DserverId=apache.releases.https -Ddescription=\"Release vote has failed\"
+mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-drop -DstagingRepositoryId=$stagingrepoid -DnexusUrl=https://repository.apache.org -DserverId=apache.releases.https -Ddescription="Release vote has failed"
 
 # clean up remaining release files
 find . -name "*.releaseBackup" -exec rm {} \;
 [ -f release.properties ] && rm release.properties
 
-" > revert-$version.sh
+EOF
+echo "$script" > revert-$version.sh
 
-chmod +x revert-$version.sh
-git add revert-$version.sh
+	chmod +x revert-$version.sh
+	git add revert-$version.sh
 }
 
 function generate_signatures_from_release {
@@ -486,8 +490,8 @@ stagingrepoid=$(mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-li
 echo "Closing staging repository with id $stagingrepoid"
 mvn org.sonatype.plugins:nexus-staging-maven-plugin:LATEST:rc-close -DstagingRepositoryId=$stagingrepoid -DnexusUrl=https://repository.apache.org -DserverId=apache.releases.https -Ddescription="Release has been built, awaiting vote"
 
-generate_promotion_script()
-generate_rollback_script()
+generate_promotion_script
+generate_rollback_script
 
 echo "Create and sign the source tarballs"
 
@@ -534,9 +538,9 @@ svn add *
 svn commit -m "Upload wicket-$version to staging area"
 popd
 
-generate_signatures_from_release()
-generate_release_vote_email()
-generate_announce_email()
+generate_signatures_from_release
+generate_release_vote_email
+generate_announce_email
 
 # Done with the tasks, now print out the next things the release manager
 # needs to do


[5/5] wicket git commit: Fixed generation of promotion script, added release-announcement.txt to staging

Posted by da...@apache.org.
Fixed generation of promotion script, added release-announcement.txt to staging


Project: http://git-wip-us.apache.org/repos/asf/wicket/repo
Commit: http://git-wip-us.apache.org/repos/asf/wicket/commit/6f66349a
Tree: http://git-wip-us.apache.org/repos/asf/wicket/tree/6f66349a
Diff: http://git-wip-us.apache.org/repos/asf/wicket/diff/6f66349a

Branch: refs/heads/master
Commit: 6f66349a8d5e78457ceecd6f1e60b737000fed3c
Parents: cc65404
Author: Martijn Dashorst <da...@apache.org>
Authored: Fri Jul 10 10:40:44 2015 +0200
Committer: Martijn Dashorst <da...@apache.org>
Committed: Fri Jul 10 10:41:02 2015 +0200

----------------------------------------------------------------------
 release-dashorst.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/wicket/blob/6f66349a/release-dashorst.sh
----------------------------------------------------------------------
diff --git a/release-dashorst.sh b/release-dashorst.sh
index b107662..981a43c 100755
--- a/release-dashorst.sh
+++ b/release-dashorst.sh
@@ -53,7 +53,7 @@ echo -n "Promoting release $version
 Actions about to be performed:
 ------------------------------
 
-$(cat $0 | tail -n +14)
+$(cat \$0 | tail -n +14)
 
 ------------------------------------------
 Press enter to continue or CTRL-C to abort"
@@ -80,7 +80,7 @@ git checkout $GIT_BRANCH
 mvn release:update-versions --batch-mode
 find . ! \( -type d -name "target" -prune \) -name pom.xml -exec sed -i "" -E "s/$mvn_version_to_replace/$next_version/g" {} \;
 find . ! \( -type d -name "target" -prune \) -name pom.xml -exec sed -i "" -E "s/$mvn_version_to_replace/$next_version/g" {} \;
-git add `find . ! \( -type d -name "target" -prune \) -name pom.xml`
+git add \` find . ! \( -type d -name "target" -prune \) -name pom.xml \`
 git commit -m "Start next development version"
 git push
 
@@ -255,7 +255,7 @@ function generate_announce_email {
     " > release-announce.txt
 
     cat /tmp/release-$version-sigs.txt >> release-announce.txt
-	git add release-announce.sh
+	git add release-announce.txt
 }
 
 # the branch on which the code base lives for this version (master is


[4/5] wicket git commit: Don't debug

Posted by da...@apache.org.
Don't debug


Project: http://git-wip-us.apache.org/repos/asf/wicket/repo
Commit: http://git-wip-us.apache.org/repos/asf/wicket/commit/cc654044
Tree: http://git-wip-us.apache.org/repos/asf/wicket/tree/cc654044
Diff: http://git-wip-us.apache.org/repos/asf/wicket/diff/cc654044

Branch: refs/heads/master
Commit: cc6540441db12415d54c725769813248f6948098
Parents: 7e607ff
Author: Martijn Dashorst <da...@apache.org>
Authored: Fri Jul 10 09:18:39 2015 +0200
Committer: Martijn Dashorst <da...@apache.org>
Committed: Fri Jul 10 09:18:39 2015 +0200

----------------------------------------------------------------------
 release-dashorst.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/wicket/blob/cc654044/release-dashorst.sh
----------------------------------------------------------------------
diff --git a/release-dashorst.sh b/release-dashorst.sh
index 3bee295..b107662 100755
--- a/release-dashorst.sh
+++ b/release-dashorst.sh
@@ -14,8 +14,8 @@
 #  See the License for the specific language governing permissions and
 #  limitations under the License.
 
-set -e
-set -x
+# set -e
+# set -x
 
 function fail {
     >&2 echo "\033[31m